AbstractTransaction (Mule ESB 2.2.1 API)
Keywords: org.mule.transaction.AbstractTransaction class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transaction
Class AbstractTransaction

    java.lang.Object
      org.mule.transaction.AbstractTransaction

All Implemented Interfaces:
  Transaction

Direct Known Subclasses:
  AbstractSingleResourceTransaction, XaTransaction

    public abstract class AbstractTransaction

extends Object
implements Transaction

This base class provides low level features for transactions.

Field Summary
`protected Log` | `logger`

Fields inherited from interface org.mule.api.transaction.Transaction
`STATUS_ACTIVE, STATUS_COMMITTED, STATUS_COMMITTING, STATUS_MARKED_ROLLBACK, STATUS_NO_TRANSACTION, STATUS_PREPARED, STATUS_PREPARING, STATUS_ROLLEDBACK, STATUS_ROLLING_BACK, STATUS_UNKNOWN`

Constructor Summary
`AbstractTransaction()`

Method Summary
`void` | `begin()` Begin the transaction.
`void` | `commit()` Commit the transaction
`protected abstract void` | `doBegin()` Really begin the transaction.
`protected abstract void` | `doCommit()` Commit the transaction on the underlying resource
`protected abstract void` | `doRollback()` Rollback the transaction on the underlying resource
`protected void` | `fireNotification(TransactionNotification notification)` Fires a server notification to all registered `TransactionNotificationListener`s.
`String` | `getId()`
`boolean` | `isBegun()`
`boolean` | `isCommitted()`
`boolean` | `isRollbackOnly()`
`boolean` | `isRolledBack()`
`boolean` | `isXA()`
`void` | `resume()` Resume the XA transaction
`void` | `rollback()` Rollback the transaction
`Transaction` | `suspend()` Suspend the XA transaction
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transaction.Transaction
`bindResource, getResource, getStatus, hasResource, setRollbackOnly`

Field Detail

### logger

    protected final transient Log logger

Constructor Detail

### AbstractTransaction

    public AbstractTransaction()

Method Detail

### isRollbackOnly

    public boolean isRollbackOnly()
                           throws TransactionException

  Specified by:
    `isRollbackOnly` in interface `Transaction`
  Throws:
    `TransactionException`

### isBegun

    public boolean isBegun()
                    throws TransactionException

  Specified by:
    `isBegun` in interface `Transaction`
  Throws:
    `TransactionException`

### isRolledBack

    public boolean isRolledBack()
                         throws TransactionException

  Specified by:
    `isRolledBack` in interface `Transaction`
  Throws:
    `TransactionException`

### isCommitted

    public boolean isCommitted()
                        throws TransactionException

  Specified by:
    `isCommitted` in interface `Transaction`
  Throws:
    `TransactionException`

### begin

    public void begin()
               throws TransactionException

  Description copied from interface: `Transaction`
  Begin the transaction.

  Specified by:
    `begin` in interface `Transaction`
  Throws:
    `TransactionException`

### commit

    public void commit()
                throws TransactionException

  Description copied from interface: `Transaction`
  Commit the transaction

  Specified by:
    `commit` in interface `Transaction`
  Throws:
    `TransactionException`

### rollback

    public void rollback()
                  throws TransactionException

  Description copied from interface: `Transaction`
  Rollback the transaction

  Specified by:
    `rollback` in interface `Transaction`
  Throws:
    `TransactionException`

### doBegin

    protected abstract void doBegin()
                             throws TransactionException

  Really begin the transaction. Note that resources are enlisted yet.

  Throws:
    `TransactionException`

### doCommit

    protected abstract void doCommit()
                              throws TransactionException

  Commit the transaction on the underlying resource

  Throws:
    `TransactionException`

### doRollback

    protected abstract void doRollback()
                                throws TransactionException

  Rollback the transaction on the underlying resource

  Throws:
    `TransactionException`

### fireNotification

    protected void fireNotification(TransactionNotification notification)

  Fires a server notification to all registered `TransactionNotificationListener`s.

### isXA

    public boolean isXA()

  Specified by:
    `isXA` in interface `Transaction`

### resume

    public void resume()
                throws TransactionException

  Description copied from interface: `Transaction`
  Resume the XA transaction

  Specified by:
    `resume` in interface `Transaction`
  Throws:
    `TransactionException` - if any error

### suspend

    public Transaction suspend()
                        throws TransactionException

  Description copied from interface: `Transaction`
  Suspend the XA transaction

  Specified by:
    `suspend` in interface `Transaction`
  Returns:
  Throws:
    `TransactionException` - if any error

### getId

    public String getId()

  Specified by:
    `getId` in interface `Transaction`
  Returns:
    TX identification.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.